Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Trader_Base Class Reference

TAO_Trader inherits from this "helper" class. The sole purpose of this class is to factor some of TAO_Trader's data members out, so that they would not have to be templatized and be be aware of the type of lock they use. More...

`#include <Trader.h>`

Inheritance diagram for TAO_Trader_Base:

[legend]
Collaboration diagram for TAO_Trader_Base:

[legend]
List of all members.

## Public Types
enum | Trader_Components { LOOKUP = 0x001, REGISTER = 0x002, LINK = 0x004, PROXY = 0x008, ADMIN = 0x010 }
## Public Methods
virtual | ~TAO_Trader_Base (void)
TAO_Trading_Components_i & | trading_components (void)
const TAO_Trading_Components_i & | trading_components (void) const
TAO_Import_Attributes_i & | import_attributes (void)
const TAO_Import_Attributes_i & | import_attributes (void) const
TAO_Support_Attributes_i & | support_attributes (void)
const TAO_Support_Attributes_i & | support_attributes (void) const
TAO_Link_Attributes_i & | link_attributes (void)
const TAO_Link_Attributes_i & | link_attributes (void) const
## Static Public Methods
CORBA::Boolean | is_valid_identifier_name (const char *ident)
## Protected Methods
| TAO_Trader_Base (void)
| Implemented. More...
## Protected Attributes
TAO_Trading_Components_i | trading_components_
| Stores and allows lookup of trader's components. More...
TAO_Import_Attributes_i | import_attributes_
| Stores and allows access/modification of trader's import attributes. More...
TAO_Support_Attributes_i | support_attributes_
| Stores and allows access/modification of trader's support attributes. More...
TAO_Link_Attributes_i | link_attributes_
| Stores and allows access/modification of trader's link attributes. More...
## Private Methods
| TAO_Trader_Base (const TAO_Trader_Base &TAO_Trader_Base)
| Unimplemented. More...
TAO_Trader_Base & | operator= (const TAO_Trader_Base &)

## Detailed Description

TAO_Trader inherits from this "helper" class. The sole purpose of this class is to factor some of TAO_Trader's data members out, so that they would not have to be templatized and be be aware of the type of lock they use.

TAO_Trader is a template class. And while we want <import_attributes_>, <trader_components_>, and <support_attributes> use a lock contained in TAO_Trader, we do not want all these classes to be templatized. TAO_Trader_Base class solves this problem.

## Member Enumeration Documentation

enum TAO_Trader_Base::Trader_Components

  | Enumeration values:
  LOOKUP |
  REGISTER |
  LINK |
  PROXY |
  ADMIN |

## Constructor & Destructor Documentation

TAO_Trader_Base::~TAO_Trader_Base | ( | void |  | ) | `[virtual]`

TAO_Trader_Base::TAO_Trader_Base | ( | void |  | ) | `[protected]`

| Implemented.

TAO_Trader_Base::TAO_Trader_Base | ( | const TAO_Trader_Base & | TAO_Trader_Base | ) | `[private]`

| Unimplemented.

## Member Function Documentation

const TAO_Import_Attributes_i & TAO_Trader_Base::import_attributes | ( | void |  | ) | const

TAO_Import_Attributes_i & TAO_Trader_Base::import_attributes | ( | void |  | ) |

CORBA::Boolean TAO_Trader_Base::is_valid_identifier_name | ( | const char * | ident | ) | `[static]`

| Determine whether the identifier is a valid one (i.e., if the first character is a letter, and the subsequent ones letter, numbers, or underscores.)

const TAO_Link_Attributes_i & TAO_Trader_Base::link_attributes | ( | void |  | ) | const

TAO_Link_Attributes_i & TAO_Trader_Base::link_attributes | ( | void |  | ) |

TAO_Trader_Base& TAO_Trader_Base::operator= | ( | const TAO_Trader_Base & |  | ) | `[private]`

const TAO_Support_Attributes_i & TAO_Trader_Base::support_attributes | ( | void |  | ) | const

TAO_Support_Attributes_i & TAO_Trader_Base::support_attributes | ( | void |  | ) |

const TAO_Trading_Components_i & TAO_Trader_Base::trading_components | ( | void |  | ) | const

TAO_Trading_Components_i & TAO_Trader_Base::trading_components | ( | void |  | ) |

## Member Data Documentation

TAO_Import_Attributes_i TAO_Trader_Base::import_attributes_`[protected]`

| Stores and allows access/modification of trader's import attributes.

TAO_Link_Attributes_i TAO_Trader_Base::link_attributes_`[protected]`

| Stores and allows access/modification of trader's link attributes.

TAO_Support_Attributes_i TAO_Trader_Base::support_attributes_`[protected]`

| Stores and allows access/modification of trader's support attributes.

TAO_Trading_Components_i TAO_Trader_Base::trading_components_`[protected]`

| Stores and allows lookup of trader's components.

The documentation for this class was generated from the following files:

- Trader.h
- Trader.cpp